# Список изменений в версии 8.0.0

## Добавлено
### Модуль decort_account
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-713 | Добавлен параметр `description` и возвращаемое значение `description`. |

### Модуль decort_account_info
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-714 | Добавлено возвращаемое значение `description` для аккаунта и ресурсных групп. |

### Модуль decort_user_info
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-715 | Добавлено возвращаемое значение `description` для аккаунтов. |
| BANS-718 | Добавлен параметр `audits.sorting`. |
| BANS-725 | Добавлены параметры `audits.filter.time.start.timestamp`, `audits.filter.time.start.datetime`, `audits.filter.time.end.timestamp`, `audits.filter.time.end.datetime`. |

### Модуль decort_k8s
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-717 | Добавлено возвращаемое значение `description`. |

### Модуль decort_kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-719 | Добавлены параметры `boot.mode`, `boot.loader_type`, `network_interface_naming`, `hot_resize` и возвращаемые значения `boot_mode`, `boot_loader_type`, `network_interface_naming`, `hot_resize`. |
| BANS-746 | Добавлено возвращаемое значение `pinned_to_stack`. |
| BANS-744 | Добавлены возвращаемые значения `affinity_label`, `affinity_rules` и `anti_affinity_rules`. |
| BANS-724 | Для параметра `state` добавлены значение `started` вместо `poweredon` и значение `stopped` вместо значений `poweredoff` и `halted`. |
| BANS-763 | Добавлен параметр `networks.mac`. |

### Модуль decort_osimage
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-740 | Добавлены параметры `boot.mode`, `boot.loader_type`, `network_interface_naming`, `hot_resize` и возвращаемые значения `boot_mode`, `boot_loader_type`, `network_interface_naming`, `hot_resize`. |

### Модуль decort_group
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-721 | Добавлен параметр `chipset`. Добавлено возвращаемое значение `Computes.chipset`.|

### Модуль decort_disk
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-773 | Добавлены возвращаемые значения `size_available` и `size_used`.|

## Удалено
### Общее
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-669 | Прекращено использование библиотеки `PyJWT`. |

### Модуль decort_k8s
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-711 | Удалена возможность задавать значение больше `1` для параметра `master_count` при `with_lb: false`. |

### Модуль decort_osimage
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-740 | Удалены параметры `hotresize`, `boottype`, `imagetype` в связи с переименованием в `hot_resize`, `boot.mode`, `boot.loader_type`. |

### Модуль decort_kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-724 | Для параметра `state` удалены значения `poweredoff` и `halted` в связи с заменой на `stopped` и значение `poweredon` в связи заменой на `started`. |

### Модуль decort_user_info
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-725 | Удалены параметры `audits.filter.time.start.unix`, `audits.filter.time.start.date_time`, `audits.filter.time.end.unix`, `audits.filter.time.end.date_time` в связи с переименованием. |

## Исправлено
### Модуль decort_k8s
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-711 | Модуль завершал свою работу ошибкой запроса к API при недопустимом значении в параметре `master_count`. |

### Модуль decort_kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-736 | Модуль завершал свою работу ошибкой запроса к API при попытке отсоединить загрузочный диск у запущенной ВМ. |
| BANS-747 | При создании ВМ со `state: present` модуль запускал ВМ после создания. |
| BANS-733 | Исправлена ошибка при клонировании ВМ в режиме `check_mode: true`. |
